Bug 42696 - WebKitTestRunner needs layoutTestController.elementDoesAutoCompleteForElementWithId
Summary: WebKitTestRunner needs layoutTestController.elementDoesAutoCompleteForElement...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-07-20 15:16 PDT by Sam Weinig
Modified: 2013-03-06 17:19 PST (History)
9 users (show)

See Also:


Attachments
Patch (30.48 KB, patch)
2013-02-28 14:49 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff
Patch (28.63 KB, patch)
2013-03-06 14:59 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2010-07-20 15:16:55 PDT
WebKitTestRunner needs layoutTestController.elementDoesAutoCompleteForElementWithId
Comment 1 Sam Weinig 2010-07-20 15:31:10 PDT
<rdar://problem/8213840>
Comment 2 Benjamin Poulain 2013-02-28 14:49:32 PST
Created attachment 190814 [details]
Patch
Comment 3 Benjamin Poulain 2013-03-06 00:47:22 PST
Ping? The patch is long but it is verrry easy.
Comment 4 Andreas Kling 2013-03-06 04:28:48 PST
Comment on attachment 190814 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=190814&action=review

r=me, nice API change.

> Source/WebCore/ChangeLog:9
> +        Since the method acts direclty on a WebCore element and strictly test
> +        HTMLInputElement::shouldAutoComplete(), the test function is moved to internals.

Typo, directly.

> Source/WebCore/testing/Internals.cpp:1096
> +bool Internals::elementShouldAutoComplete(Element* element, ExceptionCode& ec)

I'd pass a const Element* to a method like this.
Comment 5 Benjamin Poulain 2013-03-06 14:59:06 PST
Created attachment 191838 [details]
Patch
Comment 6 Benjamin Poulain 2013-03-06 17:19:37 PST
Comment on attachment 191838 [details]
Patch

Clearing flags on attachment: 191838

Committed r145012: <http://trac.webkit.org/changeset/145012>
Comment 7 Benjamin Poulain 2013-03-06 17:19:42 PST
All reviewed patches have been landed.  Closing bug.